Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Buckminster » Missing Items(By install of a selfe made P2 repository, error "items not found")
Missing Items [message #560086] Tue, 21 September 2010 07:34 Go to next message
Markus Stutz is currently offline Markus Stutz
Messages: 22
Registered: September 2010
Location: Switzerland
Junior Member
Hi all

When I build a p2 repository with Buckminster, is every thing perfect. The hole bundles and features are generated and in the eclipse "install new software" are these also in the list for select.
But if I select them and type next, then I have following error message:


Cannot complete the install because one or more required items could not be found.
Software being installed: RatingOffice-feature 1.0.0.r524 (com.csg.crs.carat.ro.feature.group 1.0.0.r524)
Missing requirement: Algorithm Edit Support 1.0.0 (com.csg.crs.carat.dsl.algorithm.edit 1.0.0) requires 'bundle com.csg.dsl.fw.core 0.0.0' but it could not be found
Cannot satisfy dependency:
From: RatingOffice-feature 1.0.0.r524 (com.csg.crs.carat.ro.feature.group 1.0.0.r524)
To: com.csg.crs.carat.dsl.algorithm.edit [1.0.0]



But these bundles are all in the p2 folder in features and plugins... Confused

Know some one what the problem can be?


Thank you & cheers


Cheers,
Markus
Re: Missing Items [message #560094 is a reply to message #560086] Tue, 21 September 2010 07:49 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas Hallgren
Messages: 3229
Registered: July 2009
Senior Member
Could it be that the IU's are filtered for a specific environment (i.e. os, ws, arch, nl) that doesn't match the
install? Or perhaps the IU's that is claimed to be missing cannot be installed because one of its requirments in turn
would cause a conflict with something that is already installed?

- thomas


On 09/21/2010 09:34 AM, M. Stutz wrote:
> Hi all
>
> When I build a p2 repository with Buckminster, is every thing perfect.
> The hole bundles and features are generated and in the eclipse "install
> new software" are these also in the list for select.
> But if I select them and type next, then I have following error message:
>
>
> Cannot complete the install because one or more required items could not
> be found.
> Software being installed: RatingOffice-feature 1.0.0.r524
> (com.csg.crs.carat.ro.feature.group 1.0.0.r524)
> Missing requirement: Algorithm Edit Support 1.0.0
> (com.csg.crs.carat.dsl.algorithm.edit 1.0.0) requires 'bundle
> com.csg.dsl.fw.core 0.0.0' but it could not be found
> Cannot satisfy dependency:
> From: RatingOffice-feature 1.0.0.r524
> (com.csg.crs.carat.ro.feature.group 1.0.0.r524)
> To: com.csg.crs.carat.dsl.algorithm.edit [1.0.0]
>
>
> But these bundles are all in the p2 folder in features and plugins... :?
> Know some one what the problem can be?
>
>
> Thank you & cheers
Re: Missing Items [message #560111 is a reply to message #560094] Tue, 21 September 2010 09:00 Go to previous message
Markus Stutz is currently offline Markus Stutz
Messages: 22
Registered: September 2010
Location: Switzerland
Junior Member
Thank you Thomas, but the problem was on my side. *shame on me*

I had a small mistake in my feature / plugin configuration, which throws this exception. I saw it at I search for conflicts with other IU's.


Thank you, cheers


Cheers,
Markus
Previous Topic:Installing a product in Mac OS
Next Topic:configure location of site.p2 output directory?
Goto Forum:
  


Current Time: Fri Oct 24 14:48:01 GMT 2014

Powered by FUDForum. Page generated in 0.01970 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software